package com.ssj.service.kmt.correctsys.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author Mount Liu
 * @date 2019/5/21
 */
public class MonitorOneMonthReq extends BaseRequest {

    private final static long serialVersionUID = 1L;

    @ApiModelProperty(name = "pageNo", value = "页码", required = true)
    private int pageNo;
    @ApiModelProperty(name = "pageSize", value = "每页条数", required = true)
    private int pageSize;
    @ApiModelProperty(name = "maxCreateTime", value = "最大时间,格式(yyyy-MM-dd HH:mm:ss)", required = true)
    private String maxCreateTime;
    @ApiModelProperty(name = "startTime", value = "开始时间,格式(yyyy-MM-dd )", required = true)
    private String startTime;
    @ApiModelProperty(name = "endTime", value = "结束时间,格式(yyyy-MM-dd )", required = true)
    private String endTime;
    @ApiModelProperty(name = "grade", value = "年级", required = true)
    private String grade;
    @ApiModelProperty(name = "subject", value = "科目", required = true)
    private String subject;
    @ApiModelProperty(name = "teacherName", value = "老师", required = true)
    private String teacherName;
    @ApiModelProperty(name = "managerId", value = "管理员id(超级管理员角色需要)", required = true)
    private String managerId;

    public String getManagerId() {
        return managerId;
    }

    public void setManagerId(String managerId) {
        this.managerId = managerId;
    }

    public int getPageNo() {
        return pageNo;
    }

    public void setPageNo(int pageNo) {
        this.pageNo = pageNo;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public String getMaxCreateTime() {
        return maxCreateTime;
    }

    public void setMaxCreateTime(String maxCreateTime) {
        this.maxCreateTime = maxCreateTime;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }
}
